Bug 1090362 - GCC 8: MozillaFirefox build fails
GCC 8: MozillaFirefox build fails
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Martin Liška
E-mail List
:
Depends on:
Blocks: 1084649
  Show dependency treegraph
 
Reported: 2018-04-20 10:58 UTC by Martin Liška
Modified: 2018-05-08 15:20 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Liška 2018-04-20 10:58:00 UTC
[ 1816s] 27:43.42 /home/abuild/rpmbuild/BUILD/mozilla/media/webrtc/trunk/webrtc/common_audio/vad/vad_core.c:118:1: error: attributes should be specified before the declarator in a function definition
[ 1816s] 27:43.42  static inline int32_t OverflowingMulS16ByS32ToS32(int16_t a, int32_t b)
[ 1816s] 27:43.42  ^~~~~~
[ 1816s] 27:43.42 /home/abuild/rpmbuild/BUILD/mozilla/media/webrtc/trunk/webrtc/common_audio/vad/vad_core.c: In function 'GmmProbability':
[ 1816s] 27:43.42 /home/abuild/rpmbuild/BUILD/mozilla/media/webrtc/trunk/webrtc/common_audio/vad/vad[ 1804.554087] serial8250: too much work for irq4

Seen here:
https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:Gcc7:DVD/MozillaFirefox/standard/x86_64

One needs to add this patch:
Subject: [PATCH] Bug 1435695 - WebRTC fails to build with GCC 8; r=dminor

--HG--
extra : rebase_source : d26e183b2082fa4f88ce3b837e2db5fc8acbff5b
Comment 1 Richard Biener 2018-05-04 09:29:43 UTC
Fixed.
Comment 2 Swamp Workflow Management 2018-05-08 15:20:06 UTC
This is an autogenerated message for OBS integration:
This bug (1090362) was mentioned in
https://build.opensuse.org/request/show/605381 15.0 / MozillaFirefox